ObjectData = 
{
	MotionModel = 
	{
		DefaultAnimation = [[default]],
		Motions = 
		{
			motion2 = 
			{
				Animations = 
				{
					anim1 = 
					{
						Path = [[DATA:Animations\GUI\control menu\ctrl_menu.anim]],
						Name = [[stop_watch_open]],
						MinFreq = 1.000000,
						MaxFreq = 1.000000,
					},
				},
				Name = [[opening]],
			},
			motion1 = 
			{
				Animations = 
				{
					anim1 = 
					{
						Path = [[DATA:Animations\GUI\control menu\ctrl_menu.anim]],
						Name = [[stop watch idle]],
						MinFreq = 1.000000,
						MaxFreq = 1.000000,
					},
				},
				Name = [[default]],
			},
		},
	},
	Extensions = 
	{
		PhysicsExtension = 
		{
		},
	},
}-- Begin Scripting --

function OnInit()	

	this:EnablePhysics( false )	
end

function Update()

  if World_IsPaused() then
        local motion_model = this:GetMotionModel()
        if( frame_index == nil ) then
              frame_index = motion_model:GetCurrentMotion():GetCurrentAnim():GetCurrentFrameIndex()
        else
              motion_model:GetCurrentMotion():GetCurrentAnim():SetCurrentFrameIndex( frame_index )
        end
  else
      frame_index = nil
  end
  
end

